SCP(1)

NAZWA
scp - bezpieczne kopiowanie plików przez OpenSSH

SKŁADNIA
scp [-346ABCOpqRrsTv] [-c szyfr] [-D ścieżka_serwera_sftp] [-F plik_konfig_ssh] [-i plik_tożsamości] [-J położenie_docelowe] [-l limit] [-o opcja_ssh] [-P port] [-S program] [-X opcja_sftp] źródło ... cel

OPIS
scp kopiuje pliki pomiędzy komputerami w sieci.

scp używa protokołu SFTP transferując dane połączeniem ssh(1) i wykorzystuje tę samą autoryzację oraz daje takie samo bezpieczeństwo jak sesja logowania.

scp pyta w razie potrzeby o hasła uwierzytelniające.

Źródło i cel można podać jako ścieżkę lokalną, komputer zdalny z opcjonalną ścieżką w postaci [użytkownik@]host:[ścieżka], lub URI w postaci scp://[użytkownik@]host[:port][/ścieżka]. Aby uniknąć traktowania przez scp nazw plików zawierających ‘’: jako komputer zdalny, można podać lokalne nazwę plików jako ścieżkę względną lub bezwzględną.

Przy kopiowaniu pomiędzy dwoma zdalnymi komputerami, jeśli używany jest format URI, nie da się podać argumentu port na celu, jeśli użyje się opcji -R.

Dostępne są następujące opcje:

-3  Kopiowanie pomiędzy dwoma zdalnymi komputerami jest wykonywane poprzez komputer lokalny. Bez tej opcji dane są kopiowane bezpośrednio pomiędzy dwoma komputerami. Proszę zauważyć, że przy korzystaniu z przestarzałego protokołu SCP (flaga -O) opcja ta wymusza tryb wsadowy (BatchMode), jako że scp nie może zapytać o hasła do obu komputerów. Jest to domyślny tryb.

-4  Wymusza na scp używanie tylko adresów IPv4.

-6  Wymusza na scp używanie tylko adresów IPv6.

-A  Pozwala na przekierowanie ssh-agent(1) do komputera zdalnego. Domyślnie agent autoryzujący nie jest przekierowywany.

-B  Wybiera tryb wsadowy (nie pyta o hasła i frazy kodujące).

-C  Włączenie kompresji. Przekazuje flagę -C do programu ssh(1), włączającą kompresję danych.

-c szyfr
    Wybiera szyfr używany do kodowania danych. Opcja ta jest przekazywana bezpośrednio do ssh(1).

-D ścieżka_serwera_sftp
    Łączy bezpośrednio z programem lokalnego serwera SFTP, zamiast serwera zdalnego za pomocą ssh(1). Opcja ta przydaje się do debugowania klienta i serwera.

-F plik_konfig_ssh
    Określa alternatywny plik konfiguracyjny ssh. Ta opcja jest bezpośrednio przekazywana do ssh(1).

-i plik_tożsamości
    Wybiera plik, z którego odczytywana jest tożsamość (klucz prywatny) dla uwierzytelnienia za pomocą klucza publicznego. Opcja ta jest przekazywana bezpośrednio do ssh(1).

-i położenie_docelowe
    Łączy z komputerem docelowym tworząc najpierw połączenie scp aby przejść do komputera określonego argumentem cel, a następnie tworząc połączenie TCP do ostatecznego adresata. Można podać kilka skoków rozdzielając je znakiem przecinka. Jest to skrót do dyrektywy konfiguracyjnej ProxyJump. Opcja jest bezpośrednio przekazywana ssh(1).

-l limit
    Określa maksymalną prędkość transferu danych podaną w Kbit/s.

-O  Używa przestarzałego protokołu SCP do transferu plików, zamiast protokołu SFTP. Wymuszenie korzystania z protokołu SCP może okazać się konieczne w przypadku serwerów nieimplementujących SFTP, do celów kompatybilności wstecznej z określonymi ścieżkami korzystającymi z wieloznaczników oraz do tłumaczenie ścieżek z przedrostkiem ‘~’ w przypadku starszych serwerów SFTP.

-o opcje_ssh
    Może być użyte do przekazania opcji programowi ssh w formacie opisanym w ssh_config(5). Opcja ta jest użyteczna do przekazywania opcji, dla których nie ma osobnej flagi linii poleceń w programie scp. Szczegółowe informacje o podanych niżej opcjach i ich możliwych wartościach można znaleźć w podręczniku ssh_config(5).

    AddressFamily
    BatchMode
    BindAddress
    BindInterface
    CanonicalDomains
    CanonicalizeFallbackLocal
    CanonicalizeHostname
    CanonicalizeMaxDots
    CanonicalizePermittedCNAMEs
    CASignatureAlgorithms
    CertificateFile
    CheckHostIP
    Ciphers
    Compression
    ConnectionAttempts
    ConnectTimeout
    ControlMaster
    ControlPath
    ControlPersist
    GlobalKnownHostsFile
    GSSAPIAuthentication
    GSSAPIDelegateCredentials
    HashKnownHosts
    Host
    HostbasedAcceptedAlgorithms
    HostbasedAuthentication
    HostKeyAlgorithms
    HostKeyAlias
    Hostname
    IdentitiesOnly
    IdentityAgent
    IdentityFile
    IPQoS
    KbdInteractiveAuthentication
    KbdInteractiveDevices
    KexAlgorithms
    KnownHostsCommand
    LogLevel
    MACs
    NoHostAuthenticationForLocalhost
    NumberOfPasswordPrompts
    PasswordAuthentication
    PKCS11Provider
    Port
    PreferredAuthentications
    ProxyCommand
    ProxyJump
    PubkeyAcceptedAlgorithms
    PubkeyAuthentication
    RekeyLimit
    RequiredRSASize
    SendEnv
    ServerAliveInterval
    ServerAliveCountMax
    SetEnv
    StrictHostKeyChecking
    TCPKeepAlive
    UpdateHostKeys
    User
    UserKnownHostsFile
    VerifyHostKeyDNS

-P port
    Podaje port, do którego należy się podłączyć na zdalnym hoście. Proszę zauważyć, że opcja ta jest napisana jako wielkie ‘P’, gdyż -p już jest zarezerwowane dla zachowywania czasów modyfikacji i praw dostępu plików.

-p  Zachowuje czasy modyfikacji oraz dostępu i prawa pliku źródłowego.

-q  Tryb cichy: wyłącza pasek postępu oraz ostrzeżenia i komunikaty diagnostyczne z programu ssh(1).

-R  Kopiowanie pomiędzy dwoma komputerami zdalnymi odbywa się przez połączenie z komputerem źródłowym i wykonaniem tam polecenia scp. Konieczne jest, aby działający tam scp mógł uwierzytelnić komputer docelowy bez konieczności podawania hasła.

-r  Rekursywnie kopiuje całe katalogi. Proszę zauważyć, że scp podąża za dowiązaniami symbolicznymi napotkanymi podczas przechodzenia po drzewie katalogów.

-S program
    Nazwa programu używanego do tworzenia zakodowanego połączenia. Program ten musi przyjmować opcje ssh(1),

-T  Wyłącza ścisłe sprawdzanie nazw plików. Domyślnie, przy kopiowaniu plików z komputera zdalnego do katalogu lokalnego scp sprawdza, czy otrzymane nazwy plików pasują do tych żądanych przez wiersz polecenia, aby uniknąć otrzymania nieoczekiwanych lub niechcianych plików. Ze względu na różnice w interpretacji wieloznaczników przez różne systemy plików oraz powłoki, sprawdzenia te mogą spowodować odrzucenie pożądanych plików. Opcja ta powoduje wyłączenie opisanych sprawdzeń, kosztem konieczności pełnego zaufania serwerowi, że ten nie wyśle nieoczekiwanych nazw plików.

-v  Tryb komunikatów szczegółowych. Powoduje, że scp i ssh(1) wypisują komunikaty debugowania o swoim działaniu. Jest to przydatne w diagnozowaniu problemów z połączeniem, autoryzacją i konfiguracją.

-o opcje_sftp
    Określa opcję kontrolującą aspekt zachowania protokołu SFTP. Dozwolone opcje to:

    nrequests=wartość
        Kontroluje jak wiele równoległych żądań odczytu lub zapisu SFTP może być w toku w dowolnym momencie pobierania lub wysyłania. Domyślnie aktywne mogą być równolegle 64 żądania.

    buffer=wartość
        Kontroluje maksymalny rozmiar bufora dla pojedynczej operacji odczytu/zapisu SFTP przy pobieraniu lub wysyłaniu. Domyślna wielkość bufora to 32KB.

KOD ZAKOŃCZENIA

ZOBACZ TAKŻE
sftp(1), ssh(1), ssh-add(1), ssh-agent(1), ssh-keygen(1), ssh_config(5), sftp-server(8), sshd(8)

HISTORIA
scp jest oparty na programie rcp o kodzie źródłowym pochodzącym z BSD, do którego prawa należą do władz Uniwersytetu Kalifornijskiego.

Od wersji OpenSSH 9.0, scp do transferów używał domyślnie protokołu SFTP.

AUTORZY
Timo Rinne <tri@iki.fi>, Tatu Ylonen <ylo@cs.hut.fi>

ZASTRZEŻENIA
Przestarzały protokół SCP (flaga -O) wymaga wykonania przez zdalną powłokę użytkownika dopasowania wzorców glob(3). Z tego względu należy ochronić przed interpretacją przez zdalną powłokę wszelkie znaki mogące mieć dla niej specjalne znaczenie, takie jak np. znaki cytowania.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3: https://www.gnu.org/licenses/gpl-3.0.html lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.